Package org.apache.wiki.ui.admin

# Interface AdminBeanManager

All Known Implementing Classes:
  `DefaultAdminBeanManager`

public interface AdminBeanManager

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(WikiEvent event)`
Unregisters AdminBeans upon SHUTDOWN event.
`AdminBean`
`findBean(String id)`
Locates a bean based on the AdminBean.getId() out of all the registered beans.
`List<AdminBean>`
`getAllBeans()`
Lists all administration beans which are currently known and instantiated.
`int`
`getTypeFromString(String type)`
Returns the type identifier for a string type.
`void`
`initialize()`

## Method Details

### initialize

void initialize()

### getAllBeans

List<AdminBean> getAllBeans()
Lists all administration beans which are currently known and instantiated.

Returns:
  all AdminBeans known to the manager

### findBean

AdminBean findBean(String id)
Locates a bean based on the AdminBean.getId() out of all the registered beans.

Parameters:
  `id` - ID
Returns:
  An AdminBean, or null, if no such bean is found.

### actionPerformed

void actionPerformed(WikiEvent event)
Unregisters AdminBeans upon SHUTDOWN event.

Parameters:
  `event` - the WikiEvent

### getTypeFromString

int getTypeFromString(String type)
Returns the type identifier for a string type.

Parameters:
  `type` - A type string.
Returns:
  A type value.